Skip to content

下载信息确认函模版

GET
/openapi/v3/orders/:id/org-confirm-letter-template

组织审核需要的信息确认函模版下载。默认返回 Word 文档二进制流;传 ?json=true 时返回 Base64 编码的 JSON。

Path 参数

参数类型必填说明
idstring订单 ID

Query 参数

参数类型必填说明
jsonbooleantrue 时返回 JSON 格式(含 Base64 内容)
company_typestring公司类型,影响确认函样式。可选值:PO(私营组织)、BE(商业实体)、GE(政府实体)、NC(非商业实体)、PI(事业单位);不传则使用默认样式

返回数据

返回信息确认函(doc)文件。

bash
# 下载 Word 文档
curl -X GET 'https://api.certcloud.cn/openapi/v3/orders/my-order-001/org-confirm-letter-template' \
  -H 'X-CC-Auth-Key: your-auth-key' \
  -H 'X-CC-Key-ID: your-key-id' \
  --output 'confirm-letter-template.doc'

# 获取 JSON Base64
curl -X GET 'https://api.certcloud.cn/openapi/v3/orders/my-order-001/org-confirm-letter-template?json=true&company_type=BE' \
  -H 'X-CC-Auth-Key: your-auth-key' \
  -H 'X-CC-Key-ID: your-key-id'
200成功

默认方式返回 application/msword 二进制文件流。

?json=true 时返回:

json
{
  "code": "success",
  "data": {
    "filename": "confirm-letter-template.doc",
    "file_data": "0M8R4KGxGuEAAAAAAAAAAAAAAAAAAAAAPgA..."
  }
}